Dentro de unos meses, Apple lanzará la última versión de macOS, que han llamado Catalina. Cuando esto ocurra, algunas aplicaciones dejarán de funcionar, lo que puede llegar a causar problemas con periféricos como el ratón, el teclado o la impresora.

Así, más vale estar preparado. En este artículo, hemos listado todos aquellos programas que ya no serán compatibles con la actualización de software. Algunos ya no lo son con Mojave, la versión anterior de macOS, pero otros son nuevos.

Como te explicaremos, la mejor forma de evitar que una de tus apps favoritas deje de funcionar, es optar por no actualizar tu Mac o MacBook, aunque ello signifique renunciar a las novedades que trae macOS Catalina.

¿Por qué no son compatibles las apps de 32 bits con macOS Catalina?

Las más afectadas por la actualización de software de Apple serán las apps de 32 bits, que ya no serán compatibles con macOS. Apple explica todas las razones de su decisión en su página web, que aquí intentaremos resumir.

Básicamente, los de Cupertino consideran que estas aplicaciones ya bastante antiguas no ofrecerán una buena experiencia de usuario, sobre todo porque ralentizarán el Mac. Eso puede solucionarse utilizando apps de 64 bits.

Los programas de 64 bits tienen la capacidad de acceder a más memoria, lo que inevitablemente mejora el rendimiento del sistema. Con el lanzamiento del iOS 11, Apple ya dejó de soportar las apps de 32 bits en el iPhone y el iPad.

Cómo comprobar qué apps dejarán de funcionar con macOS Catalina

Como hemos dicho, macOS Catalina no será compatible con las apps de 32 bits. Así, una forma de saber qué aplicaciones instaladas en tu Mac dejarán de funcionar con la actualización es comprobando cuáles de ellas son de 32 bits.

1. Haz clic en el logo de Apple en la esquina superior izquierda de la pantalla de tu Mac.

2. Elige ‘Acerca de este Mac’ del menú desplegable.

3. Ahora, haz clic en el botón ‘Informe del sistema’.

4. En la nueva ventana, selecciona ‘Software’ en la barra lateral, seguido de ‘Aplicaciones’.

5. Comprueba la columna ‘64 bits (Intel)’ en la lista de aplicaciones. En caso de que se indique ‘No’, significa que dicho programa es de 32 bits. No deberías preocuparte si obtuviste la app desde Apple, el Mac App Store o un desarrollador identificado.

¿Qué aplicaciones de Apple no funcionarán en macOS Catalina?

Entre estas apps de 32 bits, no hay solo aplicaciones de desarrolladores externos. Apple también tiene algunos programas más antiguos que estarán afectados, por lo que te convendrá saberlo si piensas actualizar tu Mac.

Aperture

Si tienes instalado Aperture 3, quizás pienses que estés a salvo ya que esta versión es de 64 bits. Sin embargo, Apple anunció que la app dejaría de ser compatible con versiones posteriores a macOS Mojave y aconsejó usar Fotos o Adobe Lightroom en su lugar.

iWork: Pages, Keynote & Numbers

Si todavía utilizas versiones anteriores a 2013 de la suite de ofimática de Apple iWork, que incluye Pages, Keynote y Numbers, es hora de actualizar (es gratis). Estas apps no pasaron a ser de 54 bits hasta la versión de iWork 2013.

Final Cut Pro y Logic Studio

En 2011, Apple sustituyó Final Cut Pro y Logic Studio por Final Cut Pro X y Logic Pro X. Si eres de los que todavía utiliza las antiguas, debes saber que lógicamente no funcionarán con Catalina. Tampoco lo harán las apps como DVD Studio Pro, Soundtrack Pro, Colour y Cinema Tools.

También deberás actualizar los siguientes programas de Apple:

¿Qué programas de Microsoft no funcionarán en macOS Catalina?

Aquellos que todavía tengan instalado en su ordenador la versión de Microsoft Office para Mac de 2011 (que incluye Word, Excel, PowerPoint y Outlook) deberían pensar en actualizar la suite ofimática, pues todos ellos son programas de 32 bits.

Las apps incluidas en el Office 2016 tampoco eran de 64 bits cuando fueron lanzados, pero fueron actualizadas con la versión de agosto de 2016. Si compraste esta versión, lo más probable es que ya hayas recibido la actualización.

¿Qué programas de Adobe no funcionarán en macOS Catalina?

En 2008, Adobe ya empezó la transición de apps de 32 bits a 64 bits, pero lo cierto es que algunos usuarios de Mac todavía utilizan versiones más antiguas que ahora ya no funcionarán con macOS Catalina.

Incluso algunos programas de Adobe que si son de 64 bits pueden estar afectados por la decisión de Apple, sobre todo aquellos casos en los que el instalador o el identificador no sea de 64 bits. A continuación puedes consultar qué apps dejarán de funcionar.

Photoshop

Cuando instalamos Mojave en nuestro ordenador, la versión de Photoshop CS5 ya nos empezó a causar problemas, y eso que es una app de 64 bits. Otros usuarios se encontraron problemas con la versión de 2018 o anteriores.

En aquel entonces, Adobe recomendó a sus clientes actualizar a Photoshop CC 2019, algo que seguramente volverá a ser cierto con la llegada del macOS Catalina. Adobe ya dijo que las versiones previas a Creative Cloud no habían sido probadas para Mojave.

Illustrator

La versión de Illustrator CS5 es una app de 32 bits, lo que significa que definitivamente no funcionará con Catalina. En cambio, la versión CS6 sí que es compatible con 64 bits, pero también causó problemas con Mojave. Así, deberías instalar la última versión.

InDesign

Igualmente, la versión de InDesign CS5 es una app de 32 bits. También lo es la versión CS6, así que ninguna de las dos funcionará en Catalina. La compatibilidad con 64 bits llegó con Creative Cloud, así que deberás asegurarte que tienes instalada esta versión.

Acrobat Pro

La versión de Acrobat Pro 9.5.5 también es solo compatible con 32 bits. Lo peor de todo es que incluso las versiones más recientes han causado problemas con Mojave, así que esperamos que esto se solucione antes de la llegada de macOS Catalina.

Lightroom

Lightroom ha tenido compatibilidad con 64 bits desde la actualización de 2008, así que lo más probable es que el software que estés utilizando pueda usarse con Catalina. Aún así, debes saber que alguna versión sí que causó problemas en Mojave.

Premiere Pro

También el programa Premiere Pro lleva siendo compatible con 64 bits desde 2008. Lo más probable es que tengas en tu Mac una versión posterior al Premiere Pro CS4, por lo que en un principio debería funcionar con macOS Catalina.

After Effects

En el caso de After Effects, la compatibilidad con 64 bits no llegó hasta 2010. Como ocurre con Premiere Pro, seguramente tengas una versión posterior. De todos modos, en ambos casos algunos usuarios se quejaron de problemas con Mojave.

¿Qué juegos de Aspyr no funcionarán en macOS Catalina?

Aunque muchos de sus juegos ya son a 64 bits, el desarrollador de juegos Aspyr ha confirmado que dejará de realizar apps a 32 bits ya que estas dejarán de funcionar con la próxima actualización de macOS.

Los juegos de Aspyr que ya no podrás usar en macOS Catalina son los siguientes:

  • Borderlands: The Pre-Sequel
  • Call of Duty
  • Call of Duty 2
  • Call of Duty 4
  • Call of Duty Black Ops
  • Call of Duty Modern Warfare 2
  • Civilization IV
  • Civilization IV: Colonization
  • Doom 3
  • Duke Nukem Forever
  • Fahrenheit
  • Homeworld Remastered Collection
  • Prey
  • Quake 4
  • RAGE
  • Star Wars: Empire at War
  • Star Wars: Jedi Academy
  • Star Wars: Jedi Outcast
  • Star Wars: The Force Unleashed
  • Sims 2: Life Stories
  • Sims 2: Pet Stories
  • Sims 2: Castaway Stories
  • Tomb Raider 2

Qué hacer si una aplicación no funciona con macOS Catalina

Si sueles utilizar una aplicación que ya no funcionará con macOS Catalina, te recomendamos que sigas estos consejos:

  • Actualiza la aplicación. Puede que el desarrollador ya haya creado una versión de la app a 64 bits, por lo que pasaría a funcionar con macOS Catalina. Eso sí, cabe la posibilidad que debas pagar por esa actualización.
  • En caso de que no se haya actualizado la app, deberías buscar por un programa alternativo que sí que funcione con Catalina.
  • Si no actualizas tu ordenador a macOS Catalina, podrás seguir utilizando la aplicación, aunque esto no será una opción si te compras un nuevo Mac.
  • Utiliza una versión de macOS anterior a Catalina.

Qué hacer para que una aplicación siga funcionando

  • Contacta al desarrollador de la aplicación.
  • No actualices a macOS 10.15 Catalina.
  • Sigue utilizando una versión anterior de macOS junto a la nueva para poder cambiar de sistema operativo cuando lo necesites.
  • Utiliza otra aplicación o, si es una posibilidad, actualiza el programa.